<?php
include("checker.php");
include("../data/setting.php");
$cnx = connectdb();

$study_id = $_POST['study_id'];
$subject_id = $_POST['subject_id'];
$subject_name = $_POST['subject_name'];

// check whether current study is available for user
$q_user = $cnx->prepare("SELECT USER_STUDY_ID FROM TAT_USER_STUDY WHERE USER_ID=:user AND STUDY_ID=:study_id");
$q_user->bindParam(':user', $_SESSION['USER_ID']);
$q_user->bindParam(':study_id', $study_id);
$q_user->execute();

if ($q_user->rowCount() != 1) {
  header("location: ". $_SERVER['HTTP_REFERER']);
}

if (!isset($subject_name)) {
  $subject_name = '';
}
$subject_status_cd = $_POST['subject_status_cd'];
$subject_mail = $_POST['subject_mail'];
if (!isset($subject_mail)) {
  $subject_mail = '';
}
$subject_phone = $_POST['subject_phone'];
if (!isset($subject_phone)) {
  $subject_phone = '';
}
$subject_sex_cd = $_POST['subject_sex_cd'];
$subject_birth = $_POST['subject_birth'];
$subject_group = $_POST['subject_group'];

$q_upd_sub = $cnx->prepare("UPDATE TAT_SUBJECT
SET
SUBJECT_NAME=:subject_name,
SUBJECT_STATUS_CD=:subject_status_cd,
SUBJECT_MAIL = :subject_mail,
SUBJECT_PHONE = :subject_phone,
SUBJECT_SEX_CD = :subject_sex_cd,
SUBJECT_BIRTH = :subject_birth
WHERE SUBJECT_ID=:subject_id");

$q_upd_sub->bindParam(':subject_name', $subject_name, PDO::PARAM_STR);
$q_upd_sub->bindParam(':subject_status_cd', $subject_status_cd);
$q_upd_sub->bindParam(':subject_mail', $subject_mail, PDO::PARAM_STR);
$q_upd_sub->bindParam(':subject_phone', $subject_phone, PDO::PARAM_STR);
$q_upd_sub->bindParam(':subject_sex_cd', $subject_sex_cd);
$q_upd_sub->bindParam(':subject_birth', $subject_birth);
$q_upd_sub->bindParam(':subject_id', $subject_id);
$q_upd_sub->execute();

$q_upd_sub_group = $cnx->prepare("UPDATE TAT_SUBJECT_GROUP
SET
GROUP_ID=:subject_group
WHERE SUBJECT_ID=:subject_id");
$q_upd_sub_group->bindParam(':subject_group', $subject_group);
$q_upd_sub_group->bindParam(':subject_id', $subject_id);
$q_upd_sub_group->execute();

header("location: subjects.php?study_id=$study_id&group_id=$subject_group");
?>
